@echo off
REM ---------------------------------------------------------------------------
REM
REM  Copyright (c) Intel Corporation, 2003 - 2009 All Rights Reserved.
REM
REM  File:      MPS_cert_req.bat
REM
REM  Contents:  batch file which creates a request for an MPS Certificate.
REM
REM ----------------------------------------------------------------------------

REM ######################################################################
REM ###                                                                ###
REM ### This batch may be called by the Configuration Server program   ###
REM ### in order to generate an MPS certificate request      ###
REM ### you may customize this script and modify the defaults          ###
REM ### at your own risk.                                              ###
REM ###                                                                ###
REM ######################################################################

setlocal

set PATH= %PATH%;../openSSL
set MPS_DIR=.\MPS
set SSLEAY_CONFIG=-config ./MPS.cfg
set DAYS=-days 365

rmdir /q /s %MPS_DIR%

mkdir %MPS_DIR%
mkdir %MPS_DIR%\certs 
mkdir %MPS_DIR%\crl 
mkdir %MPS_DIR%\newcerts
mkdir %MPS_DIR%\private
echo 01 > %MPS_DIR%\serial

REM ### Create MPS Certificate Request ###
@echo ### Create MPS Certificate Request ###
openssl req %SSLEAY_CONFIG% -new -keyout %MPS_DIR%\private\MPS_key.pem -out %MPS_DIR%\MPS_cert_req.pem %DAYS%

endlocal

IF NOT %CALLER_WAITS_ON_EXIT%=="" EXIT
