@echo off
REM ---------------------------------------------------------------------------
REM
REM  Copyright (c) Intel Corporation, 2003 - 2009 All Rights Reserved.
REM
REM  File:      MPS_cert_sign.bat
REM
REM  Contents:  batch file which signs an MPS certificate using the AMT device "trusted root CA".
REM
REM ----------------------------------------------------------------------------

REM ############################################################################
REM ###                                                                      ###
REM ### This batch may be called by the Configuration Server program         ###
REM ### in order to generate a demo certificate for the Configuration Server.###
REM ### Normally, you won't need this batch, since you should be using       ###
REM ### Your corporate CA to sign the request.                               ###
REM ### you may customize this script and modify the defaults                ###
REM ### at your own risk.                                                    ###
REM ###                                                                      ###
REM ############################################################################	

setlocal

set PATH= %PATH%;../openSSL
set MPS_DIR=.\MPS
set SSLEAY_CONFIG=-config ./sign_MPS_cert_with_trusted_root.cfg

mkdir %MPS_DIR%
mkdir %MPS_DIR%\certs 
mkdir %MPS_DIR%\crl 
mkdir %MPS_DIR%\newcerts
mkdir %MPS_DIR%\private
echo 01 > %MPS_DIR%\serial

REM ### Sign MPS Certificate Request ###
@echo ### Sign MPS Certificate Request ###
openssl ca %SSLEAY_CONFIG% -policy policy_anything -out %MPS_DIR%\MPS_cert.pem -infiles %MPS_DIR%\MPS_cert_req.pem < yy.txt

REM ### Convert cert to DER format ###
@echo ### Convert cert to DER format ###
openssl x509 -in %MPS_DIR%\MPS_cert.pem -inform PEM -out %MPS_DIR%\MPS_cert.der -outform DER

endlocal

IF NOT %CALLER_WAITS_ON_EXIT%=="" EXIT




