@echo off
REM ---------------------------------------------------------------------------
REM
REM  Copyright (c) Intel Corporation, 2003 - 2009 All Rights Reserved.
REM
REM  File:      local_client_export.bat
REM
REM  Contents:  batch file which creates a pkcs12 file for the local client certificate and key
REM
REM ----------------------------------------------------------------------------

REM ############################################################################
REM ###                                                                      ###
REM ### This batch may be called by the Configuration Server program         ###
REM ### in order to generate a demo certificate for the Configuration Server.###
REM ### Normally, you won't need this batch, since you should be using       ###
REM ### Your corporate CA to sign the request.                               ###
REM ### you may customize this script and modify the defaults                ###
REM ### at your own risk.                                                    ###
REM ###                                                                      ###
REM ############################################################################

setlocal

set PATH= %PATH%;../openSSL
set TO_EXPORT=.\local_client

:goto end

REM ### Create pkcs12 file ###
@echo ### Create pkcs12 file ###
openssl pkcs12 -export -clcerts -in %TO_EXPORT%\local_client.pem -inkey %TO_EXPORT%\private\local_client_key.pem -out %TO_EXPORT%\local_client.p12 -name "Intel(R) AMT local client certificate" -password "pass:%PKCS12_PASSWORD%"

endlocal 

IF NOT %CALLER_WAITS_ON_EXIT%=="" EXIT
:end