@echo off
REM ---------------------------------------------------------------------------
REM
REM  Copyright (c) Intel Corporation, 2003 - 2009 All Rights Reserved.
REM
REM  File:      local_client_req.bat
REM
REM  Contents:  batch file which creates a request for a "trusted root CA".
REM
REM ----------------------------------------------------------------------------

REM ######################################################################
REM ###                                                                ###
REM ### This batch may be called by the Configuration Server program   ###
REM ### in order to generate a local client certificate request      ###
REM ### you may customize this script and modify the defaults          ###
REM ### at your own risk.                                              ###
REM ###                                                                ###
REM ######################################################################

setlocal

set PATH= %PATH%;../openSSL
set CATOP=.\local_client
set SSLEAY_CONFIG=-config ./local_client.cfg
set CAKEY=.\cakey.pem
set CACERT=.\cacert.pem
set DAYS=-days 365

rmdir /q /s %CATOP%

mkdir %CATOP%
mkdir %CATOP%\certs 
mkdir %CATOP%\crl 
mkdir %CATOP%\newcerts
mkdir %CATOP%\private
echo 01 > %CATOP%\serial

REM ### Generate subCA Certificate request & key ###

openssl req %SSLEAY_CONFIG% -new -keyout %CATOP%\private\local_client_key.pem -out %CATOP%\certreq.pem %DAYS%

endlocal

IF NOT %CALLER_WAITS_ON_EXIT%=="" EXIT




