@echo off
REM ---------------------------------------------------------------------------
REM
REM  Copyright (c) Intel Corporation, 2003 - 2009 All Rights Reserved.
REM
REM  File:      ZTC_cert_req.bat
REM
REM  Contents:  batch file which creates a request for a ZTC Server Certificate.
REM
REM ----------------------------------------------------------------------------

REM ######################################################################
REM ###                                                                ###
REM ### This batch may be called by the Configuration Server program   ###
REM ### in order to generate a ZTC certificate request      	       ###
REM ### you may customize this script and modify the defaults          ###
REM ### at your own risk.                                              ###
REM ###                                             		       ###
REM ######################################################################

setlocal

set PATH= %PATH%;../OpenSSL
set CERTTOP=.\ZTC
set SSLEAY_CONFIG=-config ./ZTC.cfg
set DAYS=-days 365

rmdir /q /s %CERTTOP%
mkdir %CERTTOP%
mkdir %CERTTOP%\certs 
mkdir %CERTTOP%\crl 
mkdir %CERTTOP%\newcerts
mkdir %CERTTOP%\private
echo 01 > %CERTTOP%\serial

REM ### Generate ZTC Certificate request & key ###
openssl req %SSLEAY_CONFIG% -new -keyout %CERTTOP%\private\%ZTCKEY% -out %CERTTOP%\ztc_cert_req.pem %DAYS%
endlocal

IF NOT %CALLER_WAITS_ON_EXIT%=="" EXIT


