@echo off
REM ---------------------------------------------------------------------------
REM
REM  Copyright (c) Intel Corporation, 2003 - 2009 All Rights Reserved.
REM
REM  File:      ZTC_cert_sign.bat
REM
REM  Contents:  batch file which signs a ZTC certificate request using the demo ZTC Root CA.
REM
REM ----------------------------------------------------------------------------

REM ############################################################################
REM ###                                                                      ###
REM ### This batch may be called by the Configuration Server program         ###
REM ### in order to generate a demo certificate for the Configuration Server.###
REM ### Normally, you won't need this batch, since you should be using       ###
REM ### Your corporate CA to sign the request.                               ###
REM ### you may customize this script and modify the defaults                ###
REM ### at your own risk.                                                    ###
REM ###                                                                      ###
REM ############################################################################

setlocal

set PATH= %PATH%;../openSSL
set TO_BE_SIGNED=.\ZTC
set SSLEAY_CONFIG=-config .\sign_ZTC_with_rootCA.cfg

:goto end

REM ### Sign ZTC Certificate Request ###
@echo ### Sign ZTC Certificate Request ###
openssl ca %SSLEAY_CONFIG% -policy policy_anything -out %TO_BE_SIGNED%\%ZTCCERT% -infiles %TO_BE_SIGNED%\ztc_cert_req.pem < yy.txt

REM ### Convert cert to DER format ###
@echo ### Convert cert to DER format ###
openssl x509 -in %TO_BE_SIGNED%\%ZTCCERT% -inform PEM -out %TO_BE_SIGNED%\ztc_cert.der -outform DER

endlocal 

IF NOT %CALLER_WAITS_ON_EXIT%=="" EXIT
:end