@echo off
REM ---------------------------------------------------------------------------
REM
REM  Copyright (c) Intel Corporation, 2003 - 2009 All Rights Reserved.
REM
REM  File:      rootCA_gen.bat
REM
REM  Contents:  batch file which creates a demo root CA certificate. 
REM
REM ----------------------------------------------------------------------------

REM ######################################################################
REM ###                                                                ###
REM ### This batch may be called by the Configuration Server program   ###
REM ### in order to generate a demo root CA certificate                ###
REM ### Normally, you won't need this batch, since you should be using ###
REM ### Your corporate CA.                                             ###
REM ### you may customize this script and modify the defaults          ###
REM ### at your own risk.                                              ###
REM ###                                                                ###
REM ######################################################################

setlocal

set PATH= %PATH%;../OpenSSl
set SSLEAY_CONFIG=-config ./rootCA.cfg
set DAYS=-days 365

rmdir /q /s %CADIR%

mkdir %CADIR%
mkdir %CADIR%\certs 
mkdir %CADIR%\crl 
mkdir %CADIR%\newcerts
mkdir %CADIR%\private
echo 01 > %CADIR%\serial
copy nul %CADIR%\index.txt

REM #### create self signed certificate
openssl req %SSLEAY_CONFIG% -new -x509 -keyout %CADIR%\private\%CAKEY% -out %CADIR%\%CACERT% %DAYS%

REM #### copy file to .cer so it can be opened in MSFT windows.
copy /y %CADIR%\%CACERT% %CADIR%\rootCert.cer

REM #### extract hash data to external file
echo Replace ':' with spaces and insert the hash into the FW > .\RootHash.txt
openssl x509 -noout -in %CADIR%\%CACERT% -fingerprint >> .\RootHash.txt

endlocal

IF NOT %CALLER_WAITS_ON_EXIT%=="" EXIT


